Subject: Re: The ciabot hook code in contrib/ is obsolete - delete it

From: "Eric S. Raymond" <[email-masked]>
Date: Tue, 2 Oct 2012 19:39:35 -0400

Junio C Hamano <[email-masked]>:
> Seeing the above without a signed-off patch and then this on cia.vc
> 
>     We intend to have the CIA.VC Site running soon then bring the
>     service back at a later date!  We currently do not have an ETA for
>     the Service but hope to have it functioning soon!
> 
> I am not sure what the right course of action at this moment.

Then leave things as they are and we'll await developments.

Yes, Ilkotech is expressing a hope to revive CIA.  For various reasons
both technical and political I am near certain the effort will go
nowhere.  From #cia:

[17:19]	Talad	Hi
[17:19]	Talad	the CIA bot in our channel is gone
[17:20]	Talad	how to restore it ?
[17:20]	shadowm	/topic
[17:20]	shadowm	(Old news at this point, really.)
[17:21]	Talad	what is the problem?
[17:21]	AI0867	the server was deleted
[17:21]	AI0867	the version running on it was never checked into version control, nor was it backed up
[17:22]	AI0867	in short, CIA is *gone*
[17:22]	AI0867	for a replacement, see #irker or http://www.catb.org/~esr/irker/
[17:25]	The_Tick	BearPerson: do we know if there was a backup of the database holding all the configs?
[17:26]	BearPerson	There might be one on a hard drive somewhere in my apartment, but it'd be at least 2 years old at this point
[17:26]	BearPerson	haven't gotten around to digging up that box yet
[17:26]	The_Tick	might be worth pulling the emails out and shooting everyone an email explaining the situation
[17:27]	The_Tick	so they stop coming in here asking about it
[17:30]	Talad	"the server was deleted" <- by the owner?
[17:32]	Talad	maybe CIA was discussed/agreed with freenode staff
[17:32]	Talad	and they have a copy of it?
[17:32]	The_Tick	doubt it
[17:33]	Talad	I guess they are careful about widespread bots like CIA
[17:33]	shadowm	No, freenode had nothing to do with running CIA.vc.
[17:34]	shadowm	And the server was deleted by the hosting company, while the current owners did not have a backup plan at all.
[17:36]	Talad	I see
[17:36]	Talad	ok, thanks

On the other hand contrib/ciabot isn't taking up a lot of space in
your tree, either, so there's little harm in leaving it in place.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>